Bump maven-pmd-plugin from 3.12.0 to 3.16.0